# NPS LaTeX Template

Thank you for your interest in the NPS LaTeX Thesis Template development project.  Below, we list template version releases and guidance for contributing.

## Template Releases
To learn what changed with each release, see https://wiki.nps.edu/display/LaTexTP/Template+Announcements.

- Mar. 29, 2024: Version 3.0.
- Aug. 14, 2023: Version 2.7.1.
- Apr. 3, 2023: Version 2.7.
- Jan. 6, 2023: Version 2.6.


## Contributing
We are open to volunteer contributors!  The basic workflow for contributing is as follows:
1. [Create an issue](https://docs.gitlab.com/ee/user/project/issues/create_issues.html) (if it does not already exist) for reporting the bug, necessary upgrade, or feature request on which you intend to work.  We create issues for each to prioritize and track their status to completion.  All changes to the template that this project's members undertake begin as an issue.
2. Project members [create a branch](https://docs.gitlab.com/ee/user/project/repository/branches/) to address the issue.  If you are not a member of this project, please [fork](https://docs.gitlab.com/ee/user/project/repository/forking_workflow.html) it instead.
3. Make your changes in your branch or fork.
4. Test your code to make sure that it works and does not introduce new problems.
5. [Create a new merge request](https://docs.gitlab.com/ee/user/project/merge_requests/creating_merge_requests.html) back into this project's master branch.

The below sections provide some additional resources.

### Add your files

- [ ] [Create](https://docs.gitlab.com/ee/user/project/repository/web_editor.html#create-a-file) or [upload](https://docs.gitlab.com/ee/user/project/repository/web_editor.html#upload-a-file) files
- [ ] [Add files using the command line](https://docs.gitlab.com/ee/gitlab-basics/add-file.html#add-a-file-using-the-command-line) or push an existing Git repository with the following command:

```
cd existing_repo
git remote add origin https://gitlab.nps.edu/thesis-processing-office/nps-latex-template.git
git branch -M master
git push -uf origin master
```

### Collaborate with your team

- [ ] [Invite team members and collaborators](https://docs.gitlab.com/ee/user/project/members/)
- [ ] [Automatically close issues from merge requests](https://docs.gitlab.com/ee/user/project/issues/managing_issues.html#closing-issues-automatically)

### Editing this README

This template is based on the [makeareadme.com](https://www.makeareadme.com/) template and syntax.

### Support
For various resources pertaining to LaTeX and the thesis template, review the [NPS LaTeX Thesis Portal Wiki](https://wiki.nps.edu/display/LaTexTP/LaTeX+Thesis+Portal).
